
.fullWidth{
    width: 100%
}/**/

/* ヘッダの分だけ、全体を下にずらす */
body {
    padding-top: 5rem;
}

/* IEスクロールバー修正 */
@-ms-viewport
{
    width: auto;
    initial-scale: 1;
}
@viewport
{
    width: device-width;
    initial-scale: 1;
}

#footer {
    padding: 5px 10px; 
    height: 30px;
    margin-top: -30px;
    background-color: black;
    z-index: -11111111
}


body.indexBody{
    background-image:url(../image/login.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

.padding-title{
    padding-top: 30px;
}

/* indexの枠 */
.container.indexBox {
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    /*    background-color:rgba(245,245,255,1);*/
    background-color:#EEEEEE;
    border: 1.0px solid #8c8c94;
    max-width: 600px;
    margin-top: 70px;
    height:100%;
}
/*フッター*/
.footer {
    background-color: #797979;
    color: #FFFFFF;
    height: auto;
  }

/* パスワード表示のアイコン */
  .box {
    position: relative;
}
 
.onInput {
    display: flex;
    position: absolute;
    justify-content:  flex-end;
    align-items: center;
    top:3pt;
    right: 10pt;
    height: 70%;
}
 
.loginBox{
    border: none;
}
/* IEは、パスワード表示ボタン、テキストクリアボタンがブラウザ提供される。
　工事店サイトで用意したパスワード表示ボタンと競合するので無効化する*/
input[type=password]::-ms-reveal,
input[type=password]::-ms-clear
{
    display: none;
}

/* safariは、パスワード表示ボタン、テキストクリアボタンがブラウザ提供される。
　工事店サイトで用意したパスワード表示ボタンと競合するので無効化する*/
input[type=password]::-webkit-contacts-auto-fill-button,
input[type=password]::-webkit-credentials-auto-fill-button {
   visibility: hidden;
   display: none !important;
   pointer-events: none;
   height: 0;
   width: 0;
   margin: 0;
}

#no-list{
    color: #F33;
    text-align: center;
    display: none;
}

.fullWidth{
    width: 100%
}

.show-button{
    cursor: pointer;
}
.show-button:active{
    color: #AAA;
}

h3{
    color: #333;
}

h2{
    color: #555;
    border-bottom: solid 3px #555;
    margin-bottom: 30px;
}

.underLine{
    color: #555;
    border-bottom: solid 3px #555;
}

/* ヘッダ以外ローディング */
.loadingwrap-no-header {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 51px;
    left: 0;
    z-index: 9997;
    display: none;
    background: #FFF;
    opacity: 0.7;
}

/* ヘッダとサイドバー以外ローディング */
.loadingwrap-no-header-sidebar {
    width: calc(100% - 241px);
    height: calc(100% - 51px);
    position: fixed;
    top: 51px;
    left: 241px;
    z-index: 9997;
    display: none;
    background: #FFF;
    opacity: 0.7;
    text-align:center;
    vertical-align: middle;
}

/* テーブルローディング */
.loadingwrap-tb {
    width: 100%;
    text-align: center;
    /*	height: 100%;*/
    position:relative;
    top: 0;
    left: 0;
    z-index: 9997;

    display: none;
}

/* ローディングの背景 */

.blackback {
    width: 100%;
    height: 100%;
    background: #FFF;
    position: fixed;

    top: 0;
    left: 0;
    z-index: 9998;
    opacity: 0.7;
}

/* インジケーター */

.indicator {
    position: fixed;
    z-index: 99999;
    width: 100px;
    top: calc(30%);
    left: calc(50% - 50px);
}
.indicator-no-header-sidebar {
    position: absolute;
    opacity: 0.7;
    z-index: 99999;
    width: 100px;
    top: 20%;
    left:calc(50% - 50px);
}

.indicator-tb {
    margin-top: 30px;
    opacity: 0.7;
}


/* ロゴ */
/*

a.navbar-brand.logo {
background: url('../image/logo2.png') no-repeat left;
background-size: contain;
width: 95px;
margin-left: 5px;
height: 40px;
}
*/

/* ログイン名表示部 */


.text-box{
    padding: 10px;
    background-color: #EEF;
}

#btn-reload{
    font-size: 200%;
}



/* 右側のメインコンテンツ */
.main-content {

    /*
    flex: auto;
    overflow: auto;
    */
    margin-left: 260px;
    margin-right: 20px;
}

/* サイドバーの項目 */



/* 階層表示部 */
.hierarchy {
    margin-top: 15px;
    text-decoration: bold;
}

#txt-OK{
    color: green;
}

/* メインコンテンツ部のヘッダー部 */
.main-header {
    top: 80px;
    height: 45px;

    margin-left: -20px;
    margin-right: -20px;

    padding-left: 10px;
    padding-right: 10px;
    position: fixed;
    width: calc(100% - 240px);

    background-color: #FFF;
    /*    border-bottom: 0.75px solid #888;*/

    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);

}

/* メインコンテンツ部のヘッダー部のタイトル */
.main-header-title {
    position: absolute;
    height: 100%;
    margin: 0px;
    line-height: 44px;
}

/* メインコンテンツ部のヘッダー部のボタン位置の微調整 */
.padding5 {
    padding-top: 5px;
    padding-bottom: 5px;
}

/* メインコンテンツ部のヘッダー部のボタン */
.main-header-button {
    margin-left: 5px;
    height: 100%;

}

/* デフォルトボタン */
.btn-default,
.btn-default:hover,
.btn-default:disabled:hover {
    background-color: #379;
    color: #FFF;
    border: solid #379 1.0px;

}

/* ヘッダ */
.table th {
    background-color: #EEE;
}

/* テーブルマウスオーバー時 */
.table.table-hover tbody tr:hover {
    background-color: #DEEEFF;
    cursor:pointer;
}
/* テーブルマウスオーバー時 */
.table.table-hover tbody tr:active {
    background-color: #DDD;
}

/* 全画面ローディング画面 */



/* 表の罫線の色 */

table,
td,
tr,
th,
thead {
    border-color: #aaa !important;
}


/* 画面幅が狭い場合の表示 */
@media only screen and (max-width: 768px) {
    .side-bar {
        position: relative;
        top: 0px;
        min-height: auto;
        overflow-x: hidden;
        border-right: none;
        border-bottom: 0.75px solid #AAA;
        border-top: 0.75px solid #AAA;
        margin-bottom: 10px;
        width: auto;
    }
    .hierarchy {
        position: static;
        width: auto;
        white-space: normal;

        line-height: inherit;
        height: auto;
    }
    .main-content {
        padding-top: 0px;
        margin-left: 10px;
        margin-right: 10px;
    }
    .main-header {
        position: static;
        width: auto;
        margin-bottom: 10px;
    }
    .main-header-title {
        max-height: 45px;
    }

    .loadingwrap-no-header-sidebar {
        width: 100%;
        height: calc(100% - 51px);
        top: 51px;
        left: 0px;
    }

    /* TODO: iOSだと切れるため、一次対応 */
    .nav.pull-right ul.dropdown-menu {
        top:130px;
    }
}



.show-button{
    cursor: pointer;
}
.show-button:active{
    color: #AAA;
}

h3{
    color: #333;
}

.underLine{
    color: #555;
    border-bottom: solid 3px #555;
}

/* 全画面ローディング */
.loadingwrap-all {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9997;
    background: #FFF;
    opacity: 0.7;
}

/* ヘッダ以外ローディング */
.loadingwrap-no-header {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 51px;
    left: 0;
    z-index: 9997;
    display: none;
    background: #FFF;
    opacity: 0.7;
}

/* ヘッダとサイドバー以外ローディング */
.loadingwrap-no-header-sidebar {
    width: calc(100% - 241px);
    height: calc(100% - 51px);
    position: fixed;
    top: 51px;
    left: 241px;
    z-index: 9997;
    display: none;
    background: #FFF;
    opacity: 0.7;
    text-align:center;
    vertical-align: middle;
}

/* テーブルローディング */
.loadingwrap-tb {
    width: 100%;
    text-align: center;
    /*	height: 100%;*/
    position:relative;
    top: 0;
    left: 0;
    z-index: 9997;

    display: none;
}

/* ローディングの背景 */

.blackback {
    width: 100%;
    height: 100%;
    background: #FFF;
    position: fixed;

    top: 0;
    left: 0;
    z-index: 9998;
    opacity: 0.7;
}

/* インジケーター */

.indicator {
    position: fixed;
    z-index: 99999;
    width: 100px;
    top: calc(30%);
    left: calc(50% - 50px);
}
.indicator-no-header-sidebar {
    position: absolute;
    opacity: 0.7;
    z-index: 99999;
    width: 100px;
    top: 20%;
    left:calc(50% - 50px);
}

.indicator-tb {
    margin-top: 30px;
    opacity: 0.7;
}


/* ロゴ */
/*

a.navbar-brand.logo {
background: url('../image/logo2.png') no-repeat left;
background-size: contain;
width: 95px;
margin-left: 5px;
height: 40px;
}
*/

/* ログイン名表示部 */
a.navbar-brand {
    padding-left: 10px;
    background-size: contain;
    height: 50px;
    font-size: 1.5rem;
/*    width: 350px;*/
}


/* navbarの文字色 */
.navbar-dark .navbar-nav .nav-link{
    color:#EEE
}
/* navbarの背景色 */
.navbar.navbar-dark{
    background-color: #05E;
}
[v-cloak] {
    display: none;
}


/*
html += '<li class="nav-item dropdown active">';

html += '<a class="nav-link dropdown-toggle" href="http://example.com" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-user"></i> Administrator</a>';
html += '<div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdown01">';
html += '<a class="dropdown-item" href="#">Action</a>';
html += '<a class="dropdown-item" href="#">Another action</a>';
html += '<a class="dropdown-item" href="#">Something else here</a>';
html += '</div>';
html += '</li>';
html += '</ul>';
html += '</div>';
html += '</nav>';
*/


/* ヘッダーあ */
/*
.navbar {
    height: 45px;
    padding: 5px;
}
*/


/*
ul.nav.navbar-nav li.active{
    border-left: 1px solid #999;
    border-right: 1px solid #999;
}

.nav-text{
    color: #EEE;
    line-height: 50px;
}
.nav-text:hover{
    color: #FFF;

}

.nav.pull-right{
    top:-20px;
    padding-right: 10px;
}
.navbar-header span.navbar-brand {
    color: white;
}

.nav.pull-right ul.dropdown-menu li{
    cursor: pointer;
}
.nav.pull-right ul.dropdown-menu {

}
*/

#target{
    /*    top:100px;*/
}

/* ドロップダウンメニューを左固定 */
/*
.dropdown-menu.left {
left: auto;
right: 0;
cursor: pointer;
&::before {
left: auto !important;
right: 9px;
}
&::after {
left: auto !important;
right: 10px;
}
z-index: 9000;
}
*/

/* ナビゲーションバー定義 */
/*
.navbar {
margin-bottom: 0px;
height: 40px;
background-color: #223;
min-height: 40px !important;
z-index: 9001;
}
*/
.text-box{
    padding: 10px;
    background-color: #EEF;
}

#btn-reload{
    font-size: 200%;
}

/* 左側のメニュー */
.side-bar {
    top:65px;
    position: fixed;
    z-index:0;
    overflow: auto;
    min-height: 100vh;
    background-color: #EEE;
/*    border-right: 1.0px solid #AAA;*/
    width: 240px;
}

.sidebar-top {
    width: 100%;
    background-color: #BBD;
    text-align: center;
    
    overflow-wrap: break-word;
    
    padding: 10px;
    vertical-align: middle;
    margin-bottom: 1rem;
}

.sidebar-content {
    
    padding-left: 10px;
    padding-right: 10px;
    
}

/* 右側のメインコンテンツ */
.main-content {

    flex: auto;
    overflow: auto;
    
    margin-left: 260px;
    margin-right: 20px;
}

/* サイドバーの項目 */

/*
.nav > li > a:focus,
.nav > li > a:hover {
background-color: #FAFAFA;
}
*/

/* 階層表示部 */
.hierarchy {
    margin-top: 15px;
    text-decoration: bold;
}

#txt-OK{
    color: green;
}

/* メインコンテンツ部のヘッダー部 */
.main-header {
    top: 80px;
    height: 45px;

    margin-left: -20px;
    margin-right: -20px;

    padding-left: 10px;
    padding-right: 10px;
    position: fixed;
    width: calc(100% - 240px);

    background-color: #FFF;
    /*    border-bottom: 0.75px solid #888;*/

    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);

}

/* メインコンテンツ部のヘッダー部のタイトル */
.main-header-title {
    position: absolute;
    height: 100%;
    margin: 0px;
    line-height: 44px;
}

/* メインコンテンツ部のヘッダー部のボタン位置の微調整 */
.padding5 {
    padding-top: 5px;
    padding-bottom: 5px;
}

/* メインコンテンツ部のヘッダー部のボタン */
.main-header-button {
    margin-left: 5px;
    height: 100%;

}

/* デフォルトボタン */
.btn-default,
.btn-default:hover,
.btn-default:disabled:hover {
    background-color: #379;
    color: #FFF;
    border: solid #379 1.0px;

}

/* ヘッダ */
.table th {
    background-color: #EEE;
}

/* テーブルマウスオーバー時 */
.table.table-hover tbody tr:hover {
    background-color: #DEEEFF;
    cursor:pointer;
}
/* テーブルマウスオーバー時 */
.table.table-hover tbody tr:active {
    background-color: #DDD;
}


/* 表の罫線の色 */

table,
td,
tr,
th,
thead {
    border-color: #aaa !important;
}


/* 画面幅が狭い場合の表示 */
@media only screen and (max-width: 768px) {
    .side-bar {
        position: relative;
        top: 0px;
        min-height: auto;
        overflow-x: hidden;
        border-right: none;
        border-bottom: 0.75px solid #AAA;
        border-top: 0.75px solid #AAA;
        margin-bottom: 10px;
        width: 100%;
    }
    .hierarchy {
        position: static;
        width: auto;
        white-space: normal;

        line-height: inherit;
        height: auto;
    }
    .main-content {
        padding-top: 0px;
        margin-left: 10px;
        margin-right: 10px;
    }
    .main-header {
        position: static;
        width: auto;
        margin-bottom: 10px;
    }
    .main-header-title {
        max-height: 45px;
    }

    .loadingwrap-no-header-sidebar {
        width: 100%;
        height: calc(100% - 51px);
        top: 51px;
        left: 0px;
    }

    /* TODO: iOSだと切れるため、一次対応 */
    .nav.pull-right ul.dropdown-menu {
        top:130px;
    }
}

/*アコーディオン表示の画像切替*/
.collapsed > .when-open,
.not-collapsed > .when-closed {
display: none;
}
/* 
.canvas-container {
    position: relative;
    width:  calc(100% - 40px);
    height: 300px;
    overflow: hidden;
    margin:20px;
}
  */